Skip to content
GET/{organizationId}/{mandateId}/booking/punchCards/issued/{issuedPunchCardId}

Get issued punch card

Returns a specific issued punch card with all of its details for a given mandate

Required permissions:

  • mandate.read

  • punchCard.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
issuedPunchCardIdstringrequired

Authentication: X-API-Key

Request

GET/{organizationId}/{mandateId}/booking/punchCards/issued/{issuedPunchCardId}
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/booking/punchCards/issued/{issuedPunchCardId}' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

numberstringrequired

minLength: 14

maxLength: 14

Additional properties are not allowed.

ObjectId as string

punchCardNamestringrequired

minLength: 1

maxLength: 40

validTodate-time | nullrequired
availablePointsintegerrequired

minimum: 0

maximum: 9007199254740991

usedPointsintegerrequired

minimum: 0

maximum: 9007199254740991

lockedAtdate-time | nullrequired
createdAtdate-time | nulloptional

Additional properties are not allowed.

Additional properties are not allowed.

canceledAtdate-time | nullrequired
activationStatusstringrequired

Options:

unpaidpartialpaid

Response

200
{
  "_id": "000000000000000000000001",
  "number": "string",
  "buyer": {
    "type": "business",
    "name": "string",
    "nameNormalized": "string",
    "nameSort": "string",
    "email": "",
    "phone": "",
    "address": {
      "country": "string",
      "state": "string",
      "zip": "string"
    },
    "userId": "string",
    "contact": "000000000000000000000001",
    "payment": {
      "paymentMethod": "sepaCreditTransfer",
      "sepaDirectDebit": {
        "iban": "string",
        "bic": "string"
      },
      "online": {
        "paymentIntent": "000000000000000000000001",
        "provider": null
      }
    }
  },
  "punchCard": "000000000000000000000001",
  "punchCardName": "string",
  "validTo": "2026-06-15T22:30:00Z",
  "availablePoints": 0,
  "usedPoints": 0,
  "usages": [
    {
      "type": "event",
      "date": "2026-06-15T22:30:00Z",
      "points": 1,
      "description": "string",
      "details": "string",
      "bookingNumber": "string"
    }
  ],
  "lockedAt": "2026-06-15T22:30:00Z",
  "receipt": {
    "receiptId": "000000000000000000000001",
    "receiptNumber": "string",
    "paymentStatus": "unpaid"
  },
  "cancelationReceipt": {
    "receiptId": "000000000000000000000001",
    "receiptNumber": "string",
    "paymentStatus": "unpaid"
  },
  "canceledAt": "2026-06-15T22:30:00Z",
  "activationStatus": "unpaid"
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}